[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNodes.EndUpdate

Finishes an update process for the tree nodes in the container.

## Declaration

Source position: comctrls.pp line 3290

`public procedure TTreeNodes.EndUpdate; virtual;`

## Description

Decrements the internal counter used to track active updates to the container.

## See also

TTreeNodes.BeginUpdate |  | Starts an update process for the tree nodes in the container.
TTreeNodes.Clear |  | Removes tree nodes in the container and its internal cache.
TTreeNodes.FreeAllNodeData |  | Frees the pointer in the Data property for each of the nodes in the container.